Timer = Draw;

// Racket
double cxRacket = 20;
double cyRacket = 150;
double xRacket;

// Ball
double x = 0;
double y = 0; 
double speedX = 2;
double speedY = 2;

void Draw()
{
	Background(128);
	NoStroke();
	Fill(228);
	
	Rect(10, Height / 2, 20, Height);	// Wall
	
	xRacket  = Width - (cxRacket / 2);	// Racket
	Rect(xRacket, MouseY, cxRacket, cyRacket);
	
	Circle(x, y, 50); 					// Ball
	
	x = x + speedX;
	y = y + speedY;
	
	if(y > Height || y < 0)				// upper/lower edge
        speedY = speedY * -1;

	double yRacketTop    = MouseY - (cyRacket / 2);
	double yRacketBottom = MouseY + (cyRacket / 2);
	bool   hitRacket = y >= yRacketTop && y <= yRacketBottom;
	
	if((x > Width && hitRacket == true)	// right edge && right racket
	    || x < 0)						// left wall
        speedX = speedX * -1;
}