Timer = Draw;

// Racket
double cxRacket = 20;
double cyRacket = 150;
double xRacket;

// Ball
double x = 0;
double y = 0; 
double speedX = 2;
double speedY = 2;

void Draw()
{
	Background(128);
	NoStroke();
	Fill(228);
	
	Rect(10, Height / 2, 20, Height);	// Wall
	
	xRacket  = Width - (cxRacket / 2);	// Racket
	Rect(xRacket, MouseY, cxRacket, cyRacket);
	
	double size = 50;
    double grayscale = 255 - size;

    while(size > 0)
    {
        Fill(grayscale);
        Circle(x, y, size);

        size--;
        grayscale++;
    }
	
	x = x + speedX;
	y = y + speedY;
	
	if(y > Height || y < 0)				// upper/lower edge
        speedY = speedY * -1;

	double yRacketTop    = MouseY - (cyRacket / 2);
	double yRacketBottom = MouseY + (cyRacket / 2);
	bool   hitRacket = y >= yRacketTop && y <= yRacketBottom;
	
	// right edge && right racket || left wall
	if((x > Width && hitRacket == true) || x < 0)
	{
        speedX = speedX * -1;

		if(cyRacket > 100)
			cyRacket = cyRacket - 3;
        
        if(speedX < 0)
        	speedX--;
        else
        	speedX++;
	}
	
    if(x > Width && hitRacket == false)	// Ball not hit
    {
    	speedX = 2;
    	speedY = 2;
    	x = 0; 
    	y = 0;
    	cyRacket = 150;
    }
}