Ball ball = new Ball();

Timer = Draw;

void Draw()
{
	Background(128);
	NoStroke();
	Fill(228);

	ball.Draw();
	ball.Move();
	
	if(MouseIsPressed == true)
		ball.Start();
					
	if(KeyIsPressed == true)
		ball.IncreaseSpeed();
}

class Ball
{
    double x = Random(0, Width);
    double y = Random(0, Height); 
    double speedX = 2;
    double speedY = 2; 
        
    public void Draw() 
    {
    	Circle(x, y, 50);
    }
    
    public void Move()
    { 
 		x = x + speedX;
		y = y + speedY;
		
		if(y > Height || y < 0)				// upper/lower edge
	        speedY = speedY * -1;   
    }
        
    public void Start()
    {
    	x = Random(0, Width); 
    	y = Random(0, Height);
    	speedX = 2;
    	speedY = 2;
    }
    
    public void IncreaseSpeed()
    {
    	speedX = speedX * -1;	

	    if(speedX < 0)
        	speedX--;
        else
        	speedX++;
    }
    public double GetX()
    {
    	return x;
    }
    public double GetY()
    {
    	return y;
    }
}
